MPD: OggStreamState Class Reference

MPD 0.20.15

Public Member Functions
OggStreamState Class Reference

`#include <OggStreamState.hxx>`

## Public Member Functions
| OggStreamState (int serialno)
| OggStreamState (ogg_page &page)
| Initialize a decoding #ogg_stream_state with the first page. More...
| ~OggStreamState ()
| operator ogg_stream_state & ()
void | Reinitialize (int serialno)
long | GetSerialNo () const
void | Reset ()
void | PacketIn (const ogg_packet &packet)
bool | PageOut (ogg_page &page)
bool | Flush (ogg_page &page)
bool | PageIn (ogg_page &page)
int | PacketOut (ogg_packet &packet)

## Detailed Description

Definition at line 31 of file OggStreamState.hxx.

## Constructor & Destructor Documentation

## ◆ OggStreamState() [1/2]

OggStreamState::OggStreamState | ( | int | serialno | ) |
| inlineexplicit

Definition at line 35 of file OggStreamState.hxx.

## ◆ OggStreamState() [2/2]

OggStreamState::OggStreamState | ( | ogg_page & | page | ) |
| inlineexplicit

Initialize a decoding #ogg_stream_state with the first page.

Definition at line 43 of file OggStreamState.hxx.

## ◆ ~OggStreamState()

OggStreamState::~OggStreamState | ( |  | ) |
| inline

Definition at line 48 of file OggStreamState.hxx.

## Member Function Documentation

## ◆ Flush()

bool OggStreamState::Flush | ( | ogg_page & | page | ) |
| inline

Definition at line 79 of file OggStreamState.hxx.

## ◆ GetSerialNo()

long OggStreamState::GetSerialNo | ( |  | ) | const
| inline

Definition at line 60 of file OggStreamState.hxx.

## ◆ operator ogg_stream_state &()

OggStreamState::operator ogg_stream_state & | ( |  | ) |
| inline

Definition at line 52 of file OggStreamState.hxx.

## ◆ PacketIn()

void OggStreamState::PacketIn | ( | const ogg_packet & | packet | ) |
| inline

Definition at line 70 of file OggStreamState.hxx.

## ◆ PacketOut()

int OggStreamState::PacketOut | ( | ogg_packet & | packet | ) |
| inline

Definition at line 89 of file OggStreamState.hxx.

## ◆ PageIn()

bool OggStreamState::PageIn | ( | ogg_page & | page | ) |
| inline

Definition at line 85 of file OggStreamState.hxx.

## ◆ PageOut()

bool OggStreamState::PageOut | ( | ogg_page & | page | ) |
| inline

Definition at line 75 of file OggStreamState.hxx.

## ◆ Reinitialize()

void OggStreamState::Reinitialize | ( | int | serialno | ) |
| inline

Definition at line 56 of file OggStreamState.hxx.

## ◆ Reset()

void OggStreamState::Reset | ( |  | ) |
| inline

Definition at line 64 of file OggStreamState.hxx.

The documentation for this class was generated from the following file:

- lib/xiph/OggStreamState.hxx